Karim BELABAS on Thu, 21 Feb 2002 20:14:15 +0100 (MET)

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: pb with pari 2.1.1 install on HP-UX 11.11

On Mon, 11 Feb 2002, Pierre DOMINIQUE wrote:
> I'd like to use the Net::SSH Perl module but this
> module requires other modules, such as Math::Pari,
> which are pretty tough to install (I had a problem
> with Math::GMP as well ;-).
> Using Gcc or HP's ansi C compiler I get this kind of
> error from ld when building Pari : "DP relative code
> in file kernel.o - shared library must be position
> independent. Use +z or +Z to recompile."
> I used the "./Configure -a" command to ensure
> everything is OK and I told Configure to use the +z
> flag with cc.
> Anyone installed Pari on HP-UX 11.11 successfully ?

You can try to compile the portable version [architecture = none  in
Configure -a]  (will be slower but not that much, possibly 20%).

This should build fine [can't test it myself].

Karim Belabas                    Tel: (+33) (0)1 69 15 57 48
Dép. de Mathematiques, Bat. 425  Fax: (+33) (0)1 69 15 60 19
Université Paris-Sud             Email: Karim.Belabas@math.u-psud.fr
F-91405 Orsay (France)           http://www.math.u-psud.fr/~belabas
PARI/GP Home Page: http://www.parigp-home.de/